Skip to main content
PUT
/
organization
/
{organizationId}
/
enterpriseconnection
/
{connectionName}
Update enterprise connection
curl --request PUT \
  --url https://api.qovery.com/organization/{organizationId}/enterpriseconnection/{connectionName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connection_name": "<string>",
  "default_role": "<string>",
  "enforce_group_sync": true,
  "group_mappings": {}
}
'
{
  "connection_name": "<string>",
  "default_role": "<string>",
  "enforce_group_sync": true,
  "group_mappings": {}
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

connectionName
string
required

The name of the Organization's Enterprise Connection

Body

application/json
connection_name
string
required

The connection name

default_role
string
required

The purpose of this default role is to be associated to your users if:

  • you choose to not expose your IDPs groups to the SAML / OIDC connection
  • no associated group is found in your group_mappings defined

You can define either a Qovery provided role (i.e viewer) or one of your custom role`s uuid.

enforce_group_sync
boolean
required
  • if true, roles will be synchronized at each user login according to your group_mappings configuration based on your IDP groups
  • if false, no synchronization is done for your users and group_mappings configuration will be ignored
group_mappings
object
required

This will allow to create mapping rules based on your IDP group names.
It's a dictionnary having:

  • key: either a Qovery provided role (i.e viewer) or one of your custom role`s uuid
  • value: an array of your IDP group names

Example: "I want to associate the Qovery role devops to my IDP groups ['Administrators', 'DevSecOps']"

Response

Update enterprise connection

connection_name
string
required

The connection name

default_role
string
required

The purpose of this default role is to be associated to your users if:

  • you choose to not expose your IDPs groups to the SAML / OIDC connection
  • no associated group is found in your group_mappings defined

You can define either a Qovery provided role (i.e viewer) or one of your custom role`s uuid.

enforce_group_sync
boolean
required
  • if true, roles will be synchronized at each user login according to your group_mappings configuration based on your IDP groups
  • if false, no synchronization is done for your users and group_mappings configuration will be ignored
group_mappings
object
required

This will allow to create mapping rules based on your IDP group names.
It's a dictionnary having:

  • key: either a Qovery provided role (i.e viewer) or one of your custom role`s uuid
  • value: an array of your IDP group names

Example: "I want to associate the Qovery role devops to my IDP groups ['Administrators', 'DevSecOps']"